<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2) on Mon May 16 15:57:34 EDT 2005 -->
<TITLE>
org.eclipse.wst.server.core.model Class Hierarchy
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../apistyles.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="org.eclipse.wst.server.core.model Class Hierarchy";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../serialized-form.html"><FONT CLASS="NavBarFont1"><B>Serialized</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/eclipse/wst/server/core/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/eclipse/wst/server/core/util/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<A NAME="main"></A>
<CENTER>
<H2>
Hierarchy For Package org.eclipse.wst.server.core.model
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">class java.lang.Object<UL>
<LI TYPE="circle">class org.eclipse.wst.server.core.model.<A HREF="../../../../../../org/eclipse/wst/server/core/model/ClientDelegate.html" title="class in org.eclipse.wst.server.core.model"><B>ClientDelegate</B></A><LI TYPE="circle">class org.eclipse.wst.server.core.model.<A HREF="../../../../../../org/eclipse/wst/server/core/model/LaunchableAdapterDelegate.html" title="class in org.eclipse.wst.server.core.model"><B>LaunchableAdapterDelegate</B></A><LI TYPE="circle">class org.eclipse.wst.server.core.model.<A HREF="../../../../../../org/eclipse/wst/server/core/model/ModuleArtifactAdapterDelegate.html" title="class in org.eclipse.wst.server.core.model"><B>ModuleArtifactAdapterDelegate</B></A><LI TYPE="circle">class org.eclipse.wst.server.core.model.<A HREF="../../../../../../org/eclipse/wst/server/core/model/ModuleDelegate.html" title="class in org.eclipse.wst.server.core.model"><B>ModuleDelegate</B></A><LI TYPE="circle">class org.eclipse.wst.server.core.model.<A HREF="../../../../../../org/eclipse/wst/server/core/model/ModuleFactoryDelegate.html" title="class in org.eclipse.wst.server.core.model"><B>ModuleFactoryDelegate</B></A><LI TYPE="circle">class org.eclipse.wst.server.core.model.<A HREF="../../../../../../org/eclipse/wst/server/core/model/PublishOperation.html" title="class in org.eclipse.wst.server.core.model"><B>PublishOperation</B></A><LI TYPE="circle">class org.eclipse.wst.server.core.model.<A HREF="../../../../../../org/eclipse/wst/server/core/model/PublishTaskDelegate.html" title="class in org.eclipse.wst.server.core.model"><B>PublishTaskDelegate</B></A><LI TYPE="circle">class org.eclipse.wst.server.core.model.<A HREF="../../../../../../org/eclipse/wst/server/core/model/RuntimeDelegate.html" title="class in org.eclipse.wst.server.core.model"><B>RuntimeDelegate</B></A><LI TYPE="circle">class org.eclipse.wst.server.core.model.<A HREF="../../../../../../org/eclipse/wst/server/core/model/RuntimeLocatorDelegate.html" title="class in org.eclipse.wst.server.core.model"><B>RuntimeLocatorDelegate</B></A><LI TYPE="circle">class org.eclipse.wst.server.core.model.<A HREF="../../../../../../org/eclipse/wst/server/core/model/RuntimeTargetHandlerDelegate.html" title="class in org.eclipse.wst.server.core.model"><B>RuntimeTargetHandlerDelegate</B></A><LI TYPE="circle">class org.eclipse.wst.server.core.model.<A HREF="../../../../../../org/eclipse/wst/server/core/model/ServerBehaviourDelegate.html" title="class in org.eclipse.wst.server.core.model"><B>ServerBehaviourDelegate</B></A><LI TYPE="circle">class org.eclipse.wst.server.core.model.<A HREF="../../../../../../org/eclipse/wst/server/core/model/ServerDelegate.html" title="class in org.eclipse.wst.server.core.model"><B>ServerDelegate</B></A></UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">interface org.eclipse.wst.server.core.model.<A HREF="../../../../../../org/eclipse/wst/server/core/model/IModuleResource.html" title="interface in org.eclipse.wst.server.core.model"><B>IModuleResource</B></A><UL>
<LI TYPE="circle">interface org.eclipse.wst.server.core.model.<A HREF="../../../../../../org/eclipse/wst/server/core/model/IModuleFile.html" title="interface in org.eclipse.wst.server.core.model"><B>IModuleFile</B></A><LI TYPE="circle">interface org.eclipse.wst.server.core.model.<A HREF="../../../../../../org/eclipse/wst/server/core/model/IModuleFolder.html" title="interface in org.eclipse.wst.server.core.model"><B>IModuleFolder</B></A></UL>
<LI TYPE="circle">interface org.eclipse.wst.server.core.model.<A HREF="../../../../../../org/eclipse/wst/server/core/model/IModuleResourceDelta.html" title="interface in org.eclipse.wst.server.core.model"><B>IModuleResourceDelta</B></A><LI TYPE="circle">interface org.eclipse.wst.server.core.model.<A HREF="../../../../../../org/eclipse/wst/server/core/model/IURLProvider.html" title="interface in org.eclipse.wst.server.core.model"><B>IURLProvider</B></A><LI TYPE="circle">interface org.eclipse.wst.server.core.model.<A HREF="../../../../../../org/eclipse/wst/server/core/model/RuntimeLocatorDelegate.IRuntimeSearchListener.html" title="interface in org.eclipse.wst.server.core.model"><B>RuntimeLocatorDelegate.IRuntimeSearchListener</B></A></UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../serialized-form.html"><FONT CLASS="NavBarFont1"><B>Serialized</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/eclipse/wst/server/core/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/eclipse/wst/server/core/util/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
